package com.caimei.service.data;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.FileTreeVo;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;

/**
 * @author zzj
 */
public interface DatabaseService {
    ResponseJson<FileTreeVo> getFileById(Integer fileId);

    ResponseJson createPackage(Integer fileId, String packageName);

    void downLoadZip(Integer fileId, String packageName, HttpServletResponse response);

    void insertNewFile(String fileName, String filePath, String previewUrl, Integer parentId,String fileType);

    ResponseJson<HashMap<String, String>> ossTokenGet();

    ResponseJson getOssUploadResult(String fileName, String ossName, String ossUrl, String fileSize,Integer parentId);
}
